com.smartgwt.client.types

## Enum MultipleFieldStorage

- java.lang.Object
- - java.lang.Enum<MultipleFieldStorage>
  - - com.smartgwt.client.types.MultipleFieldStorage

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<MultipleFieldStorage>

      public enum MultipleFieldStorage
      extends java.lang.Enum<MultipleFieldStorage>
      implements ValueEnum

  Options for how values are stored for a field that is `multiple:true`. See `DataSourceField.multipleStorage`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JSON` values are serialized to JSON.
    `NONE` no transformation is applied to values; server-side field value remains a Java List when passed to the execute(Fetch|Add|Update|Remove) method of the server-side DataSource class
    `SIMPLESTRING` values are saved as a simple delimeter-separated string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static MultipleFieldStorage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MultipleFieldStorage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLESTRING

          public static final MultipleFieldStorage SIMPLESTRING

      values are saved as a simple delimeter-separated string. Delimeter can be configured via `DataSourceField.multipleStorageSeparator`. An empty array is stored as "", and null as the database `null` value.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simpleString".

    - #### JSON

          public static final MultipleFieldStorage JSON

      values are serialized to JSON. Empty array as a distinct value from null (it appears as the text "[]").

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "json".

    - #### NONE

          public static final MultipleFieldStorage NONE

      no transformation is applied to values; server-side field value remains a Java List when passed to the execute(Fetch|Add|Update|Remove) method of the server-side DataSource class

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static MultipleFieldStorage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultipleFieldStorage c : MultipleFieldStorage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultipleFieldStorage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`